## recoll 1.34.3

=== kde/krunner/CMakeLists.txt ===
# Create from https://develop.kde.org/docs/extend/plasma/krunner/ as example
# Dependancies:
#  ki18n-devel plasma-framework-devel kconfig-devel kpackage-devel
#  krunner-devel knotifications-devel

cmake_minimum_required(VERSION 3.16)
project(runnerexample)

set(KF5_MIN_VERSION "5.90")

# Include the Extra-CMake-Modules project
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Runner KIO Notifications)


## Recoll stuff
add_definitions(
    -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
    -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
    -DHAVE_CONFIG_H
)


set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
    WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

add_custom_target(rcllib
    COMMAND make -j 3 PicStatic
    WORKING_DIRECTORY ${rcltop}
)


kcoreaddons_add_plugin(runner_recoll SOURCES recollrunner.cpp INSTALL_NAMESPACE "kf5/krunner")
add_dependencies(runner_recoll rcllib)


target_link_libraries(runner_recoll
    KF5::I18n
    KF5::ConfigCore
    KF5::Runner
    KF5::KIOWidgets
    KF5::Notifications
    recoll
    xapian
    xslt
    xml2
    X11
    dl
    z
    pthread
)

=== kde/kioslave/kio_recoll-kde4/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "-fPIC ${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll recoll xapian xslt xml2 z ${EXTRA_LIBS} ${KDE4_KIO_LIBS} X11)

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
project(kio_recoll)

cmake_minimum_required(VERSION 2.8.12)

include(FeatureSummary)

set(QT_MIN_VERSION 5.2.0)
set(KF5_MIN_VERSION 5.0.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Network
    Widgets)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# CoreAddons?
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
)


## Recoll stuff
add_definitions(
    -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
    -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
    -DHAVE_CONFIG_H
)


set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp 
${rcltop}/qtgui/guiutils.cpp)


# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

add_library(kio_recoll MODULE ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make -j 3 PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll
recoll
xapian
xslt
xml2
KF5::KIOCore
X11
dl
z
pthread
)

#install(FILES recoll.protocol recollf.protocol 
#     DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES data/welcome.html	data/help.html
      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

set_target_properties(kio_recoll PROPERTIES OUTPUT_NAME "kio_recoll")
# This is not set on ubuntu focal
set(QT_MAJOR_VERSION 5)
install(TARGETS kio_recoll
      DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)

=== debian/changelog ===
recoll (1.34.3-1) unstable; urgency=medium

  * New upstream release:
    + Fixed issue related to recollaspell.

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Feb 2023 23:02:18 +0530

recoll (1.34.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.6.2
    + Added Build-Dep: qttools5-dev
  * debian/not-installed:
    + Ignore unrelated not-to-be-installed files.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Feb 2023 11:14:10 +0530

recoll (1.33.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and libxapian-dev.

  [ Kartik Mistry ]
  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Nov 2022 18:16:05 +0530

recoll (1.32.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Build package without systemd, patch by Graham Inggs <<ginggs@debian.org>
      (Closes: #1019127)

 -- Kartik Mistry <kartik@debian.org>  Thu, 15 Sep 2022 14:02:55 +0530

=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-python,
               libaspell-dev,
               libchm-dev,
               libqt5webkit5-dev,
               libx11-dev,
               libxapian-dev,
               libxslt1-dev,
               libz-dev,
               pkg-config,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               qtbase5-dev,
               qttools5-dev
Vcs-Git: https://salsa.debian.org/debian/recoll.git
Vcs-Browser: https://salsa.debian.org/debian/recoll
Homepage: https://www.lesbonscomptes.com/recoll
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: recoll
Architecture: all
Depends: recollcmd, recollgui, ${misc:Depends}
Description: Personal full text search package
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI.
  * Supports the following document types (and their compressed versions).
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files.
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, rtf (unrtf).
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree.
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8.
  * Stemming performed at query time (can switch stemming language after
    indexing).
  * Easy installation. No database daemon, web server or exotic language
    necessary.
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program.
 .
 This metapackage installs recoll GUI and commandline tools.

Package: recollcmd
Architecture: any
Breaks: recollgui (<< 1.28.5-1)
Replaces: recollgui (<< 1.28.5-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
Suggests: antiword,
          djvulibre-bin,
          ghostscript,
          groff,
          libimage-exiftool-perl,
          libinotifytools0,
          libwpd-tools,
          poppler-utils,
          pstotext,
          python3-chardet,
          python3-chm,
          python3-icalendar,
          python3-lxml,
          python3-mido,
          python3-mutagen,
          python3-py7zr,
          python3-rarfile,
          python3-six,
          unrtf,
          untex,
          wv
Description: Command line programs for recoll
 This package contains command line programs for a personal full text search
 package recoll.

Package: recollgui
Architecture: any
Breaks: recollcmd (<< 1.28.5-1)
Replaces: recollcmd (<< 1.28.5-1)
Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI program and elements for recoll
 This package contains main recoll GUI for configuring, controlling and
 querying recoll indexes.

Package: python3-recoll
Architecture: any
Section: python
Depends: python3,
         recollcmd (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll (Python3)
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python3 extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Build qt5 UI
export QT_SELECT := qt5

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-recollq --enable-xadump --without-systemd

override_dh_auto_install:
	dh_auto_install
	cd python/recoll; for python in $$(py3versions -s); do \
		libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} \
		$$python ./setup.py install \
					--install-layout=deb \
					--prefix=/usr \
					--root=$(CURDIR)/debian/tmp/; \
	done
	cd python/pychm; for python in $$(py3versions -s); do \
		$$python ./setup.py install \
					--install-layout=deb \
					--prefix=/usr \
					--root=$(CURDIR)/debian/tmp/; \
	done
	cd python/pyaspell; for python in $$(py3versions -s); do \
		$$python ./setup.py install \
					--install-layout=deb \
					--prefix=/usr \
					--root=$(CURDIR)/debian/tmp/; \
	done
	# Remove python2 filter
	rm -f $(CURDIR)/debian/tmp/usr/share/recoll/filters/hotrecoll.py
	# Cleanup
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*/*/__pycache__
	# Remove legacy format appdata.xml
	rm -f $(CURDIR)/debian/tmp/usr/share/metainfo/recoll.appdata.xml

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://www.lesbonscomptes.com/recoll/pages/download.html \
(?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## recoll 1.34.7

=== debian/changelog ===
recoll (1.34.7-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Tue, 20 Jun 2023 17:20:48 +0530

## recoll 1.36.1

=== doc/user/Makefile ===



# Wherever docbook.xsl and chunk.xsl live.
# NOTE: THIS IS HARDCODED inside custom.xsl (for changing the output
# charset), which needs to change if the stylesheet location changes.
# Necessity of custom.xsl:
#   http://www.sagehill.net/docbookxsl/OutputEncoding.html

# Fbsd
#XSLDIR="/usr/local/share/xsl/docbook/"
# Mac
#XSLDIR="/opt/local/share/xsl/docbook-xsl/"
#Linux
XSLDIR="/usr/share/xml/docbook/stylesheet/docbook-xsl/"
UTILBUILDS=/home/dockes/tmp/builds/medocutils/


# Options common to the single-file and chunked versions
commonoptions=--stringparam section.autolabel 1 \
  --stringparam section.autolabel.max.depth 2 \
  --stringparam section.label.includes.component.label 1 \
  --stringparam toc.max.depth 3 \
  --stringparam autotoc.label.in.hyperlink 0 \
  --stringparam abstract.notitle.enabled 1 \
  --stringparam html.stylesheet docbook-xsl.css \
  --stringparam generate.toc "book toc,title,figure,table,example,equation"


# index.html chunk format target replaced by nicer webhelp (needs separate
# make) in webhelp/ subdir
all: usermanual.html webh usermanual.pdf

webh:
	make -C webhelp
        
usermanual.html: usermanual.xml recoll.conf.xml
	xsltproc --xinclude ${commonoptions} \
            -o tmpfile.html custom.xsl $<
	-tidy -indent tmpfile.html > usermanual.html
	rm -f tmpfile.html

index.html: usermanual.xml recoll.conf.xml
	xsltproc ${commonoptions} \
            --stringparam use.id.as.filename 1 \
            --stringparam root.filename index \
            "${XSLDIR}/html/chunk.xsl" $<

usermanual.pdf: usermanual.xml recoll.conf.xml
	dblatex --xslt-opts="--xinclude" -tpdf $<

recoll.conf.xml: ../../sampleconf/recoll.conf
	test -x $(UTILBUILDS)/confxml && $(UTILBUILDS)/confxml --docbook \
        --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \
        ../../sampleconf/recoll.conf  > recoll.conf.xml || touch recoll.conf.xml

# Generating a restructured text version, for uploading to readthedocs.
# Does not really work, the internal links are botched. pandoc
# generates something like:
#  `configuration <#RCL.INDEXING.CONFIG>`__
# when it should be:
# :ref:`RCL.INDEXING.CONFIG`
# Also with the second form, the link text is the section heading (can't be
# chosen), which is not nice. Else, the change could probably be done by a
# script. 
# Also could not get readthedocs to generate the left pane TOC? could
# probably be fixed...
#usermanual-rst: recoll.conf.xml
#	tail -n +2 recoll.conf.xml > rcl-conf-tail.xml
#	sed -e '/xi:include/r rcl-conf-tail.xml' \
#		< usermanual.xml > full-man.xml
#	sed -i -e '/xi:include/d' -e '/<?xml version="1.0"?>/d' full-man.xml
#	pandoc -s -f docbook -t rst full-man.xml  > \
#		../../../docs/index.rst
#	rm -f rcl-conf-tail.xml full-man.xml
# not needed with pandoc 2.x -@echo fix termmatch and execute

clean:
	rm -f RCL.*.html usermanual.pdf usermanual.html index.html \
	  tmpfile.html rcl-conf-tail.xml full-man.xml

=== kde/krunner/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,9 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Runner KIO Notifications)
 
+## Recoll stuff
+set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../)
 
-## Recoll stuff
 add_definitions(
     -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
     -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
@@ -28,38 +29,47 @@
 )
 
 
-set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../)
-
+if (NOT RECOLL_PUBLIC_LIB)
 # Execute recoll configuration to create autoconfig.h and version.h and
 # generate a PIC lib
 execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
     WORKING_DIRECTORY ${rcltop}
 )
-
-link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
-
-include_directories (${CMAKE_SOURCE_DIR}
-  ${rcltop}/aspell 
-  ${rcltop}/bincimapmime
-  ${rcltop}/common 
-  ${rcltop}/index 
-  ${rcltop}/internfile 
-  ${rcltop}/query 
-  ${rcltop}/rcldb 
-  ${rcltop}/unac
-  ${rcltop}/utils 
-  ${rcltop}/qtgui
-)
-
 add_custom_target(rcllib
     COMMAND make -j 3 PicStatic
     WORKING_DIRECTORY ${rcltop}
 )
+link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
+endif()
 
+include_directories (
+  ${CMAKE_SOURCE_DIR}
+  ${rcltop}/common 
+  ${rcltop}/internfile 
+  ${rcltop}/query 
+  ${rcltop}/rcldb 
+  ${rcltop}/utils 
+)
+
+if (RECOLL_PUBLIC_LIB)
+  include_directories (
+    ${CMAKE_INSTALL_PREFIX}/include/recoll
+  )
+
+  if (EXISTS ${CMAKE_BINARY_DIR}/../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../../.libs)
+  endif()
+endif()
 
 kcoreaddons_add_plugin(runner_recoll SOURCES recollrunner.cpp INSTALL_NAMESPACE "kf5/krunner")
+if (NOT RECOLL_PUBLIC_LIB)
 add_dependencies(runner_recoll rcllib)
-
+endif()
+set_property(TARGET runner_recoll PROPERTY CXX_STANDARD 14)
 
 target_link_libraries(runner_recoll
     KF5::I18n

=== kde/kioslave/kio_recoll-kde4/CMakeLists.txt ===
--- 
+++ 
@@ -14,26 +14,42 @@
 
 set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)
 
+if (NOT RECOLL_PUBLIC_LIB)
 # Execute recoll configuration to create autoconfig.h and version.h and
 # generate a PIC lib
 execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
 		WORKING_DIRECTORY ${rcltop}
 )
+add_custom_target(rcllib
+                 COMMAND make PicStatic
+                 WORKING_DIRECTORY ${rcltop}
+)
 
 link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
+endif()
 
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
-  ${rcltop}/aspell 
-  ${rcltop}/bincimapmime
   ${rcltop}/common 
-  ${rcltop}/index 
   ${rcltop}/internfile 
   ${rcltop}/query 
   ${rcltop}/rcldb 
-  ${rcltop}/unac
   ${rcltop}/utils 
-  ${rcltop}/qtgui
 )
+
+if (RECOLL_PUBLIC_LIB)
+  include_directories (
+    ${CMAKE_INSTALL_PREFIX}/include/recoll
+  )
+  # Check if running inside a build tree, then use the not yet installed lib
+  # Check if running inside a build tree, then use the not yet installed lib
+  if (EXISTS ${CMAKE_BINARY_DIR}/../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../../.libs)
+  endif()
+endif()
 
 set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)
 
@@ -46,19 +62,11 @@
 	LIST(APPEND EXTRA_LIBS pthread)
 ENDIF(PTHREAD_IN_LIBPTHREAD)
 
-# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
-# will be found at run time. But this does not seem to work with debian 
-# which strips RPATH by default (I think there is a way for libs in app-specific
-# paths but I did not find it). Link with the .a instead.
-#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")
-
 kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})
 
-add_custom_target(rcllib
-                 COMMAND make PicStatic
-                 WORKING_DIRECTORY ${rcltop}
-)
-add_dependencies(kio_recoll rcllib)
+if (NOT RECOLL_PUBLIC_LIB)
+  add_dependencies(kio_recoll rcllib)
+endif()
 
 target_link_libraries(kio_recoll recoll xapian xslt xml2 z ${EXTRA_LIBS} ${KDE4_KIO_LIBS} X11)

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
project(kio_recoll)

include(FeatureSummary)

set(QT_MIN_VERSION 5.2.0)
set(KF5_MIN_VERSION 5.0.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Network
    Widgets)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# CoreAddons?
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

## Recoll stuff

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

if (NOT RECOLL_PUBLIC_LIB)
# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)
add_custom_target(rcllib
                 COMMAND make -j 3 PicStatic
                 WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
endif()

include_directories (
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${rcltop}/common 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/utils 
)

if (RECOLL_PUBLIC_LIB)
  include_directories (
    ${CMAKE_INSTALL_PREFIX}/include/recoll
  )

  # Check if running inside a build tree, then use the not yet installed lib
  if (EXISTS ${CMAKE_BINARY_DIR}/../../librecoll.la)
    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../.libs)
  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../librecoll.la)
    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../.libs)
  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../../librecoll.la)
    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../../.libs)
  endif()
endif()

add_definitions(
    -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
    -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
    -DHAVE_CONFIG_H
)

set(kio_recoll_SRCS kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

add_library(kio_recoll MODULE ${kio_recoll_SRCS})

if (NOT RECOLL_PUBLIC_LIB)
  add_dependencies(kio_recoll rcllib)
endif()

target_link_libraries(kio_recoll
    recoll
    xapian
    xslt
    xml2
    KF5::KIOCore
    X11
    dl
    z
    pthread
)

install(FILES data/welcome.html	data/help.html
      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

set_target_properties(kio_recoll PROPERTIES OUTPUT_NAME "kio_recoll")
# This is not set on ubuntu focal
set(QT_MAJOR_VERSION 5)
install(TARGETS kio_recoll
      DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)

=== debian/changelog ===
recoll (1.36.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:36:53 +1100

recoll (1.36.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:59:49 +0000

recoll (1.36.1-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Nov 2023 16:32:33 +0530

recoll (1.35.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Remove generated .qm files to fix 'Fails to build source after successful
      build' (Closes: #1046946)
  * Refreshed debian/patches/blhc.diff patch.

 -- Kartik Mistry <kartik@debian.org>  Sun, 17 Sep 2023 17:09:49 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*/*/__pycache__
 	# Remove legacy format appdata.xml
 	rm -f $(CURDIR)/debian/tmp/usr/share/metainfo/recoll.appdata.xml
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/qtqui/.qm
